Package org.lwjgl.opengl

# Class GL13

java.lang.Object
org.lwjgl.opengl.GL13

public final class GL13 extends Object

The core OpenGL1.3 API.

Version:
  $Revision$ $Id$
Author:
  cix_foo invalid input: '<'cix_foo@users.sourceforge.net>

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_ACTIVE_TEXTURE`
`static final int`
`GL_ADD_SIGNED`
`static final int`
`GL_CLAMP_TO_BORDER`
`static final int`
`GL_CLIENT_ACTIVE_TEXTURE`
`static final int`
`GL_COMBINE`
`static final int`
`GL_COMBINE_ALPHA`
`static final int`
`GL_COMBINE_RGB`
`static final int`
`GL_COMPRESSED_ALPHA`
`static final int`
`GL_COMPRESSED_INTENSITY`
`static final int`
`GL_COMPRESSED_LUMINANCE`
`static final int`
`GL_COMPRESSED_LUMINANCE_ALPHA`
`static final int`
`GL_COMPRESSED_RGB`
`static final int`
`GL_COMPRESSED_RGBA`
`static final int`
`GL_COMPRESSED_TEXTURE_FORMATS`
`static final int`
`GL_CONSTANT`
`static final int`
`GL_DOT3_RGB`
`static final int`
`GL_DOT3_RGBA`
`static final int`
`GL_INTERPOLATE`
`static final int`
`GL_MAX_CUBE_MAP_TEXTURE_SIZE`
`static final int`
`GL_MAX_TEXTURE_UNITS`
`static final int`
`GL_MULTISAMPLE`
`static final int`
`GL_MULTISAMPLE_BIT`
`static final int`
`GL_NORMAL_MAP`
`static final int`
`GL_NUM_COMPRESSED_TEXTURE_FORMATS`
`static final int`
`GL_OPERAND0_ALPHA`
`static final int`
`GL_OPERAND0_RGB`
`static final int`
`GL_OPERAND1_ALPHA`
`static final int`
`GL_OPERAND1_RGB`
`static final int`
`GL_OPERAND2_ALPHA`
`static final int`
`GL_OPERAND2_RGB`
`static final int`
`GL_PREVIOUS`
`static final int`
`GL_PRIMARY_COLOR`
`static final int`
`GL_PROXY_TEXTURE_CUBE_MAP`
`static final int`
`GL_REFLECTION_MAP`
`static final int`
`GL_RGB_SCALE`
`static final int`
`GL_SAMPLE_ALPHA_TO_COVERAGE`
`static final int`
`GL_SAMPLE_ALPHA_TO_ONE`
`static final int`
`GL_SAMPLE_BUFFERS`
`static final int`
`GL_SAMPLE_COVERAGE`
`static final int`
`GL_SAMPLE_COVERAGE_INVERT`
`static final int`
`GL_SAMPLE_COVERAGE_VALUE`
`static final int`
`GL_SAMPLES`
`static final int`
`GL_SOURCE0_ALPHA`
`static final int`
`GL_SOURCE0_RGB`
`static final int`
`GL_SOURCE1_ALPHA`
`static final int`
`GL_SOURCE1_RGB`
`static final int`
`GL_SOURCE2_ALPHA`
`static final int`
`GL_SOURCE2_RGB`
`static final int`
`GL_SUBTRACT`
`static final int`
`GL_TEXTURE_BINDING_CUBE_MAP`
`static final int`
`GL_TEXTURE_COMPRESSED`
`static final int`
`GL_TEXTURE_COMPRESSED_IMAGE_SIZE`
`static final int`
`GL_TEXTURE_COMPRESSION_HINT`
`static final int`
`GL_TEXTURE_CUBE_MAP`
`static final int`
`GL_TEXTURE_CUBE_MAP_NEGATIVE_X`
`static final int`
`GL_TEXTURE_CUBE_MAP_NEGATIVE_Y`
`static final int`
`GL_TEXTURE_CUBE_MAP_NEGATIVE_Z`
`static final int`
`GL_TEXTURE_CUBE_MAP_POSITIVE_X`
`static final int`
`GL_TEXTURE_CUBE_MAP_POSITIVE_Y`
`static final int`
`GL_TEXTURE_CUBE_MAP_POSITIVE_Z`
`static final int`
`GL_TEXTURE0`
`static final int`
`GL_TEXTURE1`
`static final int`
`GL_TEXTURE10`
`static final int`
`GL_TEXTURE11`
`static final int`
`GL_TEXTURE12`
`static final int`
`GL_TEXTURE13`
`static final int`
`GL_TEXTURE14`
`static final int`
`GL_TEXTURE15`
`static final int`
`GL_TEXTURE16`
`static final int`
`GL_TEXTURE17`
`static final int`
`GL_TEXTURE18`
`static final int`
`GL_TEXTURE19`
`static final int`
`GL_TEXTURE2`
`static final int`
`GL_TEXTURE20`
`static final int`
`GL_TEXTURE21`
`static final int`
`GL_TEXTURE22`
`static final int`
`GL_TEXTURE23`
`static final int`
`GL_TEXTURE24`
`static final int`
`GL_TEXTURE25`
`static final int`
`GL_TEXTURE26`
`static final int`
`GL_TEXTURE27`
`static final int`
`GL_TEXTURE28`
`static final int`
`GL_TEXTURE29`
`static final int`
`GL_TEXTURE3`
`static final int`
`GL_TEXTURE30`
`static final int`
`GL_TEXTURE31`
`static final int`
`GL_TEXTURE4`
`static final int`
`GL_TEXTURE5`
`static final int`
`GL_TEXTURE6`
`static final int`
`GL_TEXTURE7`
`static final int`
`GL_TEXTURE8`
`static final int`
`GL_TEXTURE9`
`static final int`
`GL_TRANSPOSE_COLOR_MATRIX`
`static final int`
`GL_TRANSPOSE_MODELVIEW_MATRIX`
`static final int`
`GL_TRANSPOSE_PROJECTION_MATRIX`
`static final int`
`GL_TRANSPOSE_TEXTURE_MATRIX`

## Method Summary

Modifier and Type
Method
Description
`static void`
`glActiveTexture(int texture)`
`static void`
`glClientActiveTexture(int texture)`
`static void`
`glCompressedTexImage1D(int target, int level, int internalformat, int width, int border, int imageSize)`
Overloads glCompressedTexImage1D.
`static void`
`glCompressedTexImage1D(int target, int level, int internalformat, int width, int border, int data_imageSize, long data_buffer_offset)`
`static void`
`glCompressedTexImage1D(int target, int level, int internalformat, int width, int border, ByteBuffer data)`
`static void`
`glCompressedTexImage2D(int target, int level, int internalformat, int width, int height, int border, int imageSize)`
Overloads glCompressedTexImage2D.
`static void`
`glCompressedTexImage2D(int target, int level, int internalformat, int width, int height, int border, int data_imageSize, long data_buffer_offset)`
`static void`
`glCompressedTexImage2D(int target, int level, int internalformat, int width, int height, int border, ByteBuffer data)`
`static void`
`glCompressedTexImage3D(int target, int level, int internalformat, int width, int height, int depth, int border, int imageSize)`
Overloads glCompressedTexImage3D.
`static void`
`glCompressedTexImage3D(int target, int level, int internalformat, int width, int height, int depth, int border, int data_imageSize, long data_buffer_offset)`
`static void`
`glCompressedTexImage3D(int target, int level, int internalformat, int width, int height, int depth, int border, ByteBuffer data)`
`static void`
`glCompressedTexSubImage1D(int target, int level, int xoffset, int width, int format, int data_imageSize, long data_buffer_offset)`
`static void`
`glCompressedTexSubImage1D(int target, int level, int xoffset, int width, int format, ByteBuffer data)`
`static void`
`glCompressedTexSubImage2D(int target, int level, int xoffset, int yoffset, int width, int height, int format, int data_imageSize, long data_buffer_offset)`
`static void`
`glCompressedTexSubImage2D(int target, int level, int xoffset, int yoffset, int width, int height, int format, ByteBuffer data)`
`static void`
`glCompressedTexSubImage3D(int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int data_imageSize, long data_buffer_offset)`
`static void`
`glCompressedTexSubImage3D(int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, ByteBuffer data)`
`static void`
`glGetCompressedTexImage(int target, int lod, long img_buffer_offset)`
`static void`
`glGetCompressedTexImage(int target, int lod, ByteBuffer img)`
`static void`
`glGetCompressedTexImage(int target, int lod, IntBuffer img)`
`static void`
`glGetCompressedTexImage(int target, int lod, ShortBuffer img)`
`static void`
`glLoadTransposeMatrix(DoubleBuffer m)`
`static void`
`glLoadTransposeMatrix(FloatBuffer m)`
`static void`
`glMultiTexCoord1d(int target, double s)`
`static void`
`glMultiTexCoord1f(int target, float s)`
`static void`
`glMultiTexCoord2d(int target, double s, double t)`
`static void`
`glMultiTexCoord2f(int target, float s, float t)`
`static void`
`glMultiTexCoord3d(int target, double s, double t, double r)`
`static void`
`glMultiTexCoord3f(int target, float s, float t, float r)`
`static void`
`glMultiTexCoord4d(int target, double s, double t, double r, double q)`
`static void`
`glMultiTexCoord4f(int target, float s, float t, float r, float q)`
`static void`
`glMultTransposeMatrix(DoubleBuffer m)`
`static void`
`glMultTransposeMatrix(FloatBuffer m)`
`static void`
`glSampleCoverage(float value, boolean invert)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_TEXTURE0

public static final int GL_TEXTURE0

See Also:
  - Constant Field Values

### GL_TEXTURE1

public static final int GL_TEXTURE1

See Also:
  - Constant Field Values

### GL_TEXTURE2

public static final int GL_TEXTURE2

See Also:
  - Constant Field Values

### GL_TEXTURE3

public static final int GL_TEXTURE3

See Also:
  - Constant Field Values

### GL_TEXTURE4

public static final int GL_TEXTURE4

See Also:
  - Constant Field Values

### GL_TEXTURE5

public static final int GL_TEXTURE5

See Also:
  - Constant Field Values

### GL_TEXTURE6

public static final int GL_TEXTURE6

See Also:
  - Constant Field Values

### GL_TEXTURE7

public static final int GL_TEXTURE7

See Also:
  - Constant Field Values

### GL_TEXTURE8

public static final int GL_TEXTURE8

See Also:
  - Constant Field Values

### GL_TEXTURE9

public static final int GL_TEXTURE9

See Also:
  - Constant Field Values

### GL_TEXTURE10

public static final int GL_TEXTURE10

See Also:
  - Constant Field Values

### GL_TEXTURE11

public static final int GL_TEXTURE11

See Also:
  - Constant Field Values

### GL_TEXTURE12

public static final int GL_TEXTURE12

See Also:
  - Constant Field Values

### GL_TEXTURE13

public static final int GL_TEXTURE13

See Also:
  - Constant Field Values

### GL_TEXTURE14

public static final int GL_TEXTURE14

See Also:
  - Constant Field Values

### GL_TEXTURE15

public static final int GL_TEXTURE15

See Also:
  - Constant Field Values

### GL_TEXTURE16

public static final int GL_TEXTURE16

See Also:
  - Constant Field Values

### GL_TEXTURE17

public static final int GL_TEXTURE17

See Also:
  - Constant Field Values

### GL_TEXTURE18

public static final int GL_TEXTURE18

See Also:
  - Constant Field Values

### GL_TEXTURE19

public static final int GL_TEXTURE19

See Also:
  - Constant Field Values

### GL_TEXTURE20

public static final int GL_TEXTURE20

See Also:
  - Constant Field Values

### GL_TEXTURE21

public static final int GL_TEXTURE21

See Also:
  - Constant Field Values

### GL_TEXTURE22

public static final int GL_TEXTURE22

See Also:
  - Constant Field Values

### GL_TEXTURE23

public static final int GL_TEXTURE23

See Also:
  - Constant Field Values

### GL_TEXTURE24

public static final int GL_TEXTURE24

See Also:
  - Constant Field Values

### GL_TEXTURE25

public static final int GL_TEXTURE25

See Also:
  - Constant Field Values

### GL_TEXTURE26

public static final int GL_TEXTURE26

See Also:
  - Constant Field Values

### GL_TEXTURE27

public static final int GL_TEXTURE27

See Also:
  - Constant Field Values

### GL_TEXTURE28

public static final int GL_TEXTURE28

See Also:
  - Constant Field Values

### GL_TEXTURE29

public static final int GL_TEXTURE29

See Also:
  - Constant Field Values

### GL_TEXTURE30

public static final int GL_TEXTURE30

See Also:
  - Constant Field Values

### GL_TEXTURE31

public static final int GL_TEXTURE31

See Also:
  - Constant Field Values

### GL_ACTIVE_TEXTURE

public static final int GL_ACTIVE_TEXTURE

See Also:
  - Constant Field Values

### GL_CLIENT_ACTIVE_TEXTURE

public static final int GL_CLIENT_ACTIVE_TEXTURE

See Also:
  - Constant Field Values

### GL_MAX_TEXTURE_UNITS

public static final int GL_MAX_TEXTURE_UNITS

See Also:
  - Constant Field Values

### GL_NORMAL_MAP

public static final int GL_NORMAL_MAP

See Also:
  - Constant Field Values

### GL_REFLECTION_MAP

public static final int GL_REFLECTION_MAP

See Also:
  - Constant Field Values

### GL_TEXTURE_CUBE_MAP

public static final int GL_TEXTURE_CUBE_MAP

See Also:
  - Constant Field Values

### GL_TEXTURE_BINDING_CUBE_MAP

public static final int GL_TEXTURE_BINDING_CUBE_MAP

See Also:
  - Constant Field Values

### GL_TEXTURE_CUBE_MAP_POSITIVE_X

public static final int GL_TEXTURE_CUBE_MAP_POSITIVE_X

See Also:
  - Constant Field Values

### GL_TEXTURE_CUBE_MAP_NEGATIVE_X

public static final int GL_TEXTURE_CUBE_MAP_NEGATIVE_X

See Also:
  - Constant Field Values

### GL_TEXTURE_CUBE_MAP_POSITIVE_Y

public static final int GL_TEXTURE_CUBE_MAP_POSITIVE_Y

See Also:
  - Constant Field Values

### GL_TEXTURE_CUBE_MAP_NEGATIVE_Y

public static final int GL_TEXTURE_CUBE_MAP_NEGATIVE_Y

See Also:
  - Constant Field Values

### GL_TEXTURE_CUBE_MAP_POSITIVE_Z

public static final int GL_TEXTURE_CUBE_MAP_POSITIVE_Z

See Also:
  - Constant Field Values

### GL_TEXTURE_CUBE_MAP_NEGATIVE_Z

public static final int GL_TEXTURE_CUBE_MAP_NEGATIVE_Z

See Also:
  - Constant Field Values

### GL_PROXY_TEXTURE_CUBE_MAP

public static final int GL_PROXY_TEXTURE_CUBE_MAP

See Also:
  - Constant Field Values

### GL_MAX_CUBE_MAP_TEXTURE_SIZE

public static final int GL_MAX_CUBE_MAP_TEXTURE_SIZE

See Also:
  - Constant Field Values

### GL_COMPRESSED_ALPHA

public static final int GL_COMPRESSED_ALPHA

See Also:
  - Constant Field Values

### GL_COMPRESSED_LUMINANCE

public static final int GL_COMPRESSED_LUMINANCE

See Also:
  - Constant Field Values

### GL_COMPRESSED_LUMINANCE_ALPHA

public static final int GL_COMPRESSED_LUMINANCE_ALPHA

See Also:
  - Constant Field Values

### GL_COMPRESSED_INTENSITY

public static final int GL_COMPRESSED_INTENSITY

See Also:
  - Constant Field Values

### GL_COMPRESSED_RGB

public static final int GL_COMPRESSED_RGB

See Also:
  - Constant Field Values

### GL_COMPRESSED_RGBA

public static final int GL_COMPRESSED_RGBA

See Also:
  - Constant Field Values

### GL_TEXTURE_COMPRESSION_HINT

public static final int GL_TEXTURE_COMPRESSION_HINT

See Also:
  - Constant Field Values

### GL_TEXTURE_COMPRESSED_IMAGE_SIZE

public static final int GL_TEXTURE_COMPRESSED_IMAGE_SIZE

See Also:
  - Constant Field Values

### GL_TEXTURE_COMPRESSED

public static final int GL_TEXTURE_COMPRESSED

See Also:
  - Constant Field Values

### GL_NUM_COMPRESSED_TEXTURE_FORMATS

public static final int GL_NUM_COMPRESSED_TEXTURE_FORMATS

See Also:
  - Constant Field Values

### GL_COMPRESSED_TEXTURE_FORMATS

public static final int GL_COMPRESSED_TEXTURE_FORMATS

See Also:
  - Constant Field Values

### GL_MULTISAMPLE

public static final int GL_MULTISAMPLE

See Also:
  - Constant Field Values

### GL_SAMPLE_ALPHA_TO_COVERAGE

public static final int GL_SAMPLE_ALPHA_TO_COVERAGE

See Also:
  - Constant Field Values

### GL_SAMPLE_ALPHA_TO_ONE

public static final int GL_SAMPLE_ALPHA_TO_ONE

See Also:
  - Constant Field Values

### GL_SAMPLE_COVERAGE

public static final int GL_SAMPLE_COVERAGE

See Also:
  - Constant Field Values

### GL_SAMPLE_BUFFERS

public static final int GL_SAMPLE_BUFFERS

See Also:
  - Constant Field Values

### GL_SAMPLES

public static final int GL_SAMPLES

See Also:
  - Constant Field Values

### GL_SAMPLE_COVERAGE_VALUE

public static final int GL_SAMPLE_COVERAGE_VALUE

See Also:
  - Constant Field Values

### GL_SAMPLE_COVERAGE_INVERT

public static final int GL_SAMPLE_COVERAGE_INVERT

See Also:
  - Constant Field Values

### GL_MULTISAMPLE_BIT

public static final int GL_MULTISAMPLE_BIT

See Also:
  - Constant Field Values

### GL_TRANSPOSE_MODELVIEW_MATRIX

public static final int GL_TRANSPOSE_MODELVIEW_MATRIX

See Also:
  - Constant Field Values

### GL_TRANSPOSE_PROJECTION_MATRIX

public static final int GL_TRANSPOSE_PROJECTION_MATRIX

See Also:
  - Constant Field Values

### GL_TRANSPOSE_TEXTURE_MATRIX

public static final int GL_TRANSPOSE_TEXTURE_MATRIX

See Also:
  - Constant Field Values

### GL_TRANSPOSE_COLOR_MATRIX

public static final int GL_TRANSPOSE_COLOR_MATRIX

See Also:
  - Constant Field Values

### GL_COMBINE

public static final int GL_COMBINE

See Also:
  - Constant Field Values

### GL_COMBINE_RGB

public static final int GL_COMBINE_RGB

See Also:
  - Constant Field Values

### GL_COMBINE_ALPHA

public static final int GL_COMBINE_ALPHA

See Also:
  - Constant Field Values

### GL_SOURCE0_RGB

public static final int GL_SOURCE0_RGB

See Also:
  - Constant Field Values

### GL_SOURCE1_RGB

public static final int GL_SOURCE1_RGB

See Also:
  - Constant Field Values

### GL_SOURCE2_RGB

public static final int GL_SOURCE2_RGB

See Also:
  - Constant Field Values

### GL_SOURCE0_ALPHA

public static final int GL_SOURCE0_ALPHA

See Also:
  - Constant Field Values

### GL_SOURCE1_ALPHA

public static final int GL_SOURCE1_ALPHA

See Also:
  - Constant Field Values

### GL_SOURCE2_ALPHA

public static final int GL_SOURCE2_ALPHA

See Also:
  - Constant Field Values

### GL_OPERAND0_RGB

public static final int GL_OPERAND0_RGB

See Also:
  - Constant Field Values

### GL_OPERAND1_RGB

public static final int GL_OPERAND1_RGB

See Also:
  - Constant Field Values

### GL_OPERAND2_RGB

public static final int GL_OPERAND2_RGB

See Also:
  - Constant Field Values

### GL_OPERAND0_ALPHA

public static final int GL_OPERAND0_ALPHA

See Also:
  - Constant Field Values

### GL_OPERAND1_ALPHA

public static final int GL_OPERAND1_ALPHA

See Also:
  - Constant Field Values

### GL_OPERAND2_ALPHA

public static final int GL_OPERAND2_ALPHA

See Also:
  - Constant Field Values

### GL_RGB_SCALE

public static final int GL_RGB_SCALE

See Also:
  - Constant Field Values

### GL_ADD_SIGNED

public static final int GL_ADD_SIGNED

See Also:
  - Constant Field Values

### GL_INTERPOLATE

public static final int GL_INTERPOLATE

See Also:
  - Constant Field Values

### GL_SUBTRACT

public static final int GL_SUBTRACT

See Also:
  - Constant Field Values

### GL_CONSTANT

public static final int GL_CONSTANT

See Also:
  - Constant Field Values

### GL_PRIMARY_COLOR

public static final int GL_PRIMARY_COLOR

See Also:
  - Constant Field Values

### GL_PREVIOUS

public static final int GL_PREVIOUS

See Also:
  - Constant Field Values

### GL_DOT3_RGB

public static final int GL_DOT3_RGB

See Also:
  - Constant Field Values

### GL_DOT3_RGBA

public static final int GL_DOT3_RGBA

See Also:
  - Constant Field Values

### GL_CLAMP_TO_BORDER

public static final int GL_CLAMP_TO_BORDER

See Also:
  - Constant Field Values

## Method Details

### glActiveTexture

public static void glActiveTexture(int texture)

### glClientActiveTexture

public static void glClientActiveTexture(int texture)

### glCompressedTexImage1D

public static void glCompressedTexImage1D(int target, int level, int internalformat, int width, int border, ByteBuffer data)

### glCompressedTexImage1D

public static void glCompressedTexImage1D(int target, int level, int internalformat, int width, int border, int data_imageSize, long data_buffer_offset)

### glCompressedTexImage1D

public static void glCompressedTexImage1D(int target, int level, int internalformat, int width, int border, int imageSize)
Overloads glCompressedTexImage1D.

### glCompressedTexImage2D

public static void glCompressedTexImage2D(int target, int level, int internalformat, int width, int height, int border, ByteBuffer data)

### glCompressedTexImage2D

public static void glCompressedTexImage2D(int target, int level, int internalformat, int width, int height, int border, int data_imageSize, long data_buffer_offset)

### glCompressedTexImage2D

public static void glCompressedTexImage2D(int target, int level, int internalformat, int width, int height, int border, int imageSize)
Overloads glCompressedTexImage2D.

### glCompressedTexImage3D

public static void glCompressedTexImage3D(int target, int level, int internalformat, int width, int height, int depth, int border, ByteBuffer data)

### glCompressedTexImage3D

public static void glCompressedTexImage3D(int target, int level, int internalformat, int width, int height, int depth, int border, int data_imageSize, long data_buffer_offset)

### glCompressedTexImage3D

public static void glCompressedTexImage3D(int target, int level, int internalformat, int width, int height, int depth, int border, int imageSize)
Overloads glCompressedTexImage3D.

### glCompressedTexSubImage1D

public static void glCompressedTexSubImage1D(int target, int level, int xoffset, int width, int format, ByteBuffer data)

### glCompressedTexSubImage1D

public static void glCompressedTexSubImage1D(int target, int level, int xoffset, int width, int format, int data_imageSize, long data_buffer_offset)

### glCompressedTexSubImage2D

public static void glCompressedTexSubImage2D(int target, int level, int xoffset, int yoffset, int width, int height, int format, ByteBuffer data)

### glCompressedTexSubImage2D

public static void glCompressedTexSubImage2D(int target, int level, int xoffset, int yoffset, int width, int height, int format, int data_imageSize, long data_buffer_offset)

### glCompressedTexSubImage3D

public static void glCompressedTexSubImage3D(int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, ByteBuffer data)

### glCompressedTexSubImage3D

public static void glCompressedTexSubImage3D(int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int data_imageSize, long data_buffer_offset)

### glGetCompressedTexImage

public static void glGetCompressedTexImage(int target, int lod, ByteBuffer img)

### glGetCompressedTexImage

public static void glGetCompressedTexImage(int target, int lod, IntBuffer img)

### glGetCompressedTexImage

public static void glGetCompressedTexImage(int target, int lod, ShortBuffer img)

### glGetCompressedTexImage

public static void glGetCompressedTexImage(int target, int lod, long img_buffer_offset)

### glMultiTexCoord1f

public static void glMultiTexCoord1f(int target, float s)

### glMultiTexCoord1d

public static void glMultiTexCoord1d(int target, double s)

### glMultiTexCoord2f

public static void glMultiTexCoord2f(int target, float s, float t)

### glMultiTexCoord2d

public static void glMultiTexCoord2d(int target, double s, double t)

### glMultiTexCoord3f

public static void glMultiTexCoord3f(int target, float s, float t, float r)

### glMultiTexCoord3d

public static void glMultiTexCoord3d(int target, double s, double t, double r)

### glMultiTexCoord4f

public static void glMultiTexCoord4f(int target, float s, float t, float r, float q)

### glMultiTexCoord4d

public static void glMultiTexCoord4d(int target, double s, double t, double r, double q)

### glLoadTransposeMatrix

public static void glLoadTransposeMatrix(FloatBuffer m)

### glLoadTransposeMatrix

public static void glLoadTransposeMatrix(DoubleBuffer m)

### glMultTransposeMatrix

public static void glMultTransposeMatrix(FloatBuffer m)

### glMultTransposeMatrix

public static void glMultTransposeMatrix(DoubleBuffer m)

### glSampleCoverage

public static void glSampleCoverage(float value, boolean invert)